- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs
Ruft die Aufschlüsselung des Verbrauchs nach Ordner für einen bestimmten Mandanten ab, mit optionaler Aggregation nach Ordnerbesitz.
Verwenden Sie diesen Endpunkt, um eine Aufschlüsselung des Verbrauchs nach Ordner für einen bestimmten Mandanten abzurufen.
API-Endpunkt
POST {accessURL}/lease_/api/usage/{organizationId}/tenants/consumption-by-folder
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
Der Name Ihrer Organisation wird in der URL direkt nach der Zugriffs-URL angezeigt, wenn Sie beim Produkt angemeldet sind, z. B. {accessURL}/{organizationName}/....
Anforderungsheader
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Um das {access_token} zu erhalten, müssen Sie sich mit der hier beschriebenen ROPC-Methode authentifizieren.
Pfadparameter
| Pfadparameter | Datentyp | Beschreibung |
|---|---|---|
organizationId (erforderlich) | Zeichenfolge (GUID) | Die ID der Organisation, in der sich Ihr Mandant befindet. |
Anforderungstext
Im Anforderungstext werden der Mandant, der Datumsbereich, der Verbrauchscode und der optionale Aggregationsmodus angegeben. Eine detaillierte Liste der Verbrauchscodes finden Sie unter Verbrauchsmaterialien.
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"processPersonalWorkspaces": false,
"alwaysIncludeFolderKeys": ["string"]
}
{
"tenantId": "string",
"startDate": 0,
"endDate": 0,
"consumableCode": "string",
"aggregateByOwnership": false,
"processPersonalWorkspaces": false,
"alwaysIncludeFolderKeys": ["string"]
}
tenantIdis required. The ID of the tenant for which to retrieve consumption.startDateandendDateare Unix timestamps in seconds. Both bounds are inclusive. Values provided in milliseconds are rejected with a400 Bad Requesterror indicating that seconds are expected.aggregateByOwnershipist optional (Standard:false). Wenntruefestgelegt ist, wird der Verbrauch nach dem Ordner aggregiert, der die Prozessausführung ausgelöst hat, und nicht nach dem Ordner, in dem sie ausgeführt wurde.processPersonalWorkspacesis optional (default:false). When set totrue, personal workspaces are included in the folder breakdown as individual items, grouped under a syntheticPersonalWorkspacesRootparent. Only workspaces with consumption in the queried window are returned. Consumption in folders that no longer exist is returned as synthetic items flagged withisDeletedFolder.alwaysIncludeFolderKeysis optional. Provide a list of folder GUIDs to include in the response even if they have zero consumption in the queried window. Unknown keys are ignored.
Antworten
200 OK
Gibt eine Liste von Verbrauchsdatensätzen zurück, die nach Ordnern für den angegebenen Mandanten gruppiert sind.
Beispielanforderung
Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-folder' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200,
"endDate": 1706745600,
"consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/consumption-by-folder' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"tenantId": "string",
"startDate": 1704067200,
"endDate": 1706745600,
"consumableCode": "consumption_unit_code"
}'
Hier ist der Antworttext für eine erfolgreiche Nutzung nach Ordnerabruf:
isPersonalWorkspaceistruewhen the item is a personal workspace.isDeletedFolderistruewhen the item represents consumption from a deleted folder.
{
"items": [
{
"folderKey": "string",
"folderName": "string",
"parentFolderKey": "string",
"consumedBySelf": 0,
"processCountSelf": 0,
"isPersonalWorkspace": false,
"isDeletedFolder": false
}
]
}
{
"items": [
{
"folderKey": "string",
"folderName": "string",
"parentFolderKey": "string",
"consumedBySelf": 0,
"processCountSelf": 0,
"isPersonalWorkspace": false,
"isDeletedFolder": false
}
]
}